from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XRangeHighlighter(XInterface, Protocol):
    def getSelectedRanges(self) -> list[HighlightedRange]: ...
    def addSelectionChangeListener(self, xListener: XSelectionChangeListener) -> None: ...
    def removeSelectionChangeListener(self, xListener: XSelectionChangeListener) -> None: ...
